package org.springblade.file.pojo.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  解压任务枚举类
 * @author bfhuange
 * @date 2024/10/27
 */
public class UnzipTask {

    /**
     *  业务编码枚举
     */
    @AllArgsConstructor
    @Getter
    public enum BizCode {
        /**
         *  运单
         */
        WAYBILL("waybill", "运单"),
        /**
         *  基地
         */
        WAREHOUSE("warehouse", "基地"),
        ;
        /**
         *  编码
         */
        private final String code;
        /**
         *  名称
         */
        private final String name;
    }

    /**
     *  关联类型枚举
     */
    @AllArgsConstructor
    @Getter
    public enum RelateType {
        /**
         *  文件任务
         */
        FILE_TASK("file_task", "文件任务"),
        /**
         *  附件
         */
        ATTACHMENT("attachment", "附件"),
        ;
        /**
         *  编码
         */
        private final String code;
        /**
         *  名称
         */
        private final String name;
    }

    /**
     *  状态枚举
     */
    @AllArgsConstructor
    @Getter
    public enum Status {
        /**
         *  正在上传
         */
        UPLOADING("uploading", "正在上传"),
        /**
         *  上传完成
         */
        UPLOADED("uploaded", "上传完成"),
        /**
         *  正在解压
         */
        UNZIPPING("unzipping", "正在解压"),
        /**
         *  解压失败
         */
        UNZIP_FAIL("unzip_fail", "解压失败"),
        /**
         *  已完成
         */
        FINISHED("finished", "已完成"),
        ;
        /**
         *  编码
         */
        private final String code;
        /**
         *  名称
         */
        private final String name;
    }
}
